## tyvis 1.02

=== VHDLKernel/Makefile ===
#-*-makefile-*-

include ../Makefile.common

.PHONY: warpedroot depend clean install

ifndef WARPEDROOT
warpedroot:
	@echo "You _must_ define WARPEDROOT to build TyVis"
	exit
else
warpedroot: all
endif

# The following can be TimeWarp or Sequential
ifndef METHOD
METHOD=Sequential
endif

ifeq ($(METHOD), Sequential)
CPPFLAGS += -DSEQUENTIAL 
endif

TWDIR=$(WARPEDROOT)/$(METHOD)/src
COMMONDIR=$(WARPEDROOT)/common
LIBTW=$(TWDIR)/obj/libTW.a

ifndef VHDLDIR
VHDLDIR=.
endif

ifndef DESTDIR
DESTDIR=/usr/local
endif

libdir = $(DESTDIR)/lib
includedir = $(DESTDIR)/include/tyvis

SHAREDLIB=libTyVis.so.1

PWD = $(shell pwd)

export CPPFLAGS+=-I$(WARPEDROOT) -Istandard -Itextio -I. -DUSE_USER_VTIME \
		 -I$(WARPEDROOT)/$(METHOD)/src -I$(WARPEDROOT)/common/include -I$(PWD)

CXXFLAGS+=-g

AR = ar cr

VHDLSRCS = Block.cc ArrayInfo.cc MarkedQueue.cc STDTypes.cc Wait.cc \
	   SignalNetinfo.cc  VHDLData.cc _savant_entity_elab.cc \
	   StringBase.cc VTime.cc Types.cc VHDLType.cc SourceBase.cc \
	   SourceData.cc SourceInfo.cc RecordType.cc CallStack.cc \
	   ScalarType.cc ArrayType.cc AccessType.cc VectorBase.cc FileType.cc\
	   IntegerType.cc EnumerationType.cc RealType.cc PhysicalType.cc \
	   DefaultAttributes.cc PortMap.cc PortAssociation.cc \
	   VHDLKernel_state.cc SignalBase.cc VHDLKernel.cc SignalAttributes.cc\
	   SourceTypeConvert.cc TypeConvert.cc TypeInfo.cc\
           $(wildcard standard/*.cc) $(wildcard textio/*.cc)

VHDLOBJS = $(patsubst %.cc,%.o, $(VHDLSRCS))

all: libVHDL.a shared

libVHDL.a:  $(LIBTW) $(VHDLOBJS)
	-rm -f libVHDL.a
	$(AR) libVHDL.a $(VHDLOBJS)

shared:  warpedroot $(SHAREDLIB)

$(SHAREDLIB): $(LIBTW) $(VHDLOBJS)
	$(CXX) $(CXXFLAGS) -shared $(LDFLAGS) $(LIBS) $^ $(TWDIR)/obj/*.o\
	$(COMMONDIR)/src/*.o -o $(SHAREDLIB)

$(LIBTW):
	$(MAKE) -C $(TWDIR) all

%.o : %.cc
	$(CXX) -c $(CPPFLAGS) $(CXXFLAGS) $< -o $@

install: install-headers install-library

install-headers: 
	$(MKINSTALLDIRS) $(includedir) $(includedir)/standard  $(includedir)/textio
	for f in *.hh; do $(INSTALL) $$f $(includedir); done
	for f in AccessVariable.cc ImplicitSignal.cc SString.cc Signal.cc\
				 Variable.cc Vector.cc;\
	do  $(INSTALL) $$f $(includedir); done
	for f in standard/*.hh; do $(INSTALL) $$f $(includedir)/standard; done
	for f in textio/*.hh; do $(INSTALL) $$f $(includedir)/textio; done
	$(MAKE) -C $(TWDIR) install-headers

install-library: shared
	$(MKINSTALLDIRS) $(libdir)
	$(INSTALL) $(SHAREDLIB) $(libdir)/$(SHAREDLIB)
	$(MAKE) -C $(TWDIR) install-library
	cd $(libdir); rm -f libTyVis.so; ln -s $(SHAREDLIB) libTyVis.so

depend: cleandep
	makedepend -p$(VHDLDIR)/ -f- -- $(CPPFLAGS) -- $(DEPENDINC) $(VHDLSRCS) > .depend
	$(MAKE) -C $(TWDIR) depend

cleandep:
	-rm -f .depend

clean:
	rm -f *~ \#*\#\
	rm -f *.o *.a *.so
	rm -f $(VHDLDIR)/standard/*.o
	rm -f $(VHDLDIR)/textio/*.o
	$(MAKE) -C $(TWDIR) clean

-include .depend

## tyvis 20031216-2

=== debian/changelog ===
tyvis (20031216-2) unstable; urgency=low

  * Added a build dependency for libltdl3-dev.
  * Changed the g++ dependency to g++-3.3 | g++-3.2

 -- Dale E Martin <dmartin@cliftonlabs.com>  Sat, 14 Feb 2004 19:20:03 -0500

tyvis (20031216-1) unstable; urgency=low

  * New upstream release that works with the completely new warped
    codebase.
  * Warped is now a separate package as it should have been all along.
    See libwarped0 and libwarped0-dev.

 -- Dale E Martin <dmartin@cliftonlabs.com>  Thu,  1 Jan 2004 17:21:30 -0500

tyvis (1.02-2) unstable; urgency=low

  * Fixed packaging bugs reported by Roman Hodek.

 -- Dale E. Martin <dmartin@clifton-labs.com>  Fri,  5 Nov 1999 09:12:56 -0500

tyvis (1.02-1) unstable; urgency=low

  * New upstream source.

 -- Dale E. Martin <dmartin@clifton-labs.com>  Mon, 25 Oct 1999 02:47:22 -0400

tyvis (1.01-2) unstable; urgency=low

  * Fixed more packaging problems.

 -- Dale E. Martin <dmartin@clifton-labs.com>  Thu, 24 Jun 1999 15:47:29 -0400

tyvis (1.01-1) unstable; urgency=low

  * New upstream release.
  * Fixed some packaging bugs.

 -- Dale E. Martin <dmartin@clifton-labs.com>  Wed, 16 Jun 1999 13:08:18 -0400

tyvis (1.0-1) unstable; urgency=low

  * Initial non-beta release.

 -- Dale E. Martin <dmartin@clifton-labs.com>  Sun, 21 Mar 1999 13:26:22 -0500

tyvis (0.99.4-1) unstable; urgency=low

  * Next beta.  Some upstream changes.

 -- Dale E. Martin <dmartin@clifton-labs.com>  Sat, 20 Mar 1999 18:51:35 -0500

tyvis (0.99.1-1) unstable; urgency=low

  * Next beta

 -- Dale E. Martin <dmartin@clifton-labs.com>  Wed, 10 Mar 1999 15:15:42 -0500

tyvis (0.99-1) unstable; urgency=low

  * Initial Release.

 -- Dale E. Martin <dmartin@clifton-labs.com>  Tue,  2 Mar 1999 13:48:54 -0500

Local variables:
mode: debian-changelog
add-log-mailing-address: "dmartin@clifton-labs.com"
End:

=== debian/control ===
Source: tyvis
Build-Depends: debhelper (>> 4.1.0), libtool, libclutils0-dev,libwarped0-dev(>=20031216), libltdl3-dev, g++-3.3 | g++-3.2
Section: electronics
Priority: optional
Maintainer: Dale E Martin <dmartin@cliftonlabs.com>
Standards-Version: 3.5.6

Package: libtyvis1
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: tyvis, tyvis1
Replaces: tyvis, tyvis1
Description:  UC's VHDL Simulation Runtime Libraries - shared library only
 This package contains the University of Cincinnati's VHDL runtime
 libraries.  These libraries are required to run VHDL simulations compiled
 with the SAVANT analyzer.

Package: libtyvis1-dev
Architecture: any
Depends: libc6-dev, libtyvis1 (= ${Source-Version})
Provides: tyvis-dev
Conflicts: tyvis-dev, tyvis1-dev
Replaces: tyvis-dev, tyvis1-dev
Description: UC's VHDL Simulation Runtime Libraries - C++ headers
 This package contains the header files for the TyVis package.  In order
 to compile a simulation, you'll need the both the library package
 and this one, containing the header files.

=== debian/rules ===
#!/usr/bin/make -f
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE       ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE      ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
		--disable-cppunit
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr

binary-indep: build install
	dh_testdir
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_movefiles
	dh_installdebconf
	dh_link -plibtyvis1-dev \
	  usr/share/doc/libtyvis1 usr/share/doc/libtyvis1-dev
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installinfo
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build clean binary-arch binary-indep binary install configure
